#
# makefile for misc functions
#

PROGS=free
CFLAGS=$(DEFS) -O6 -fomit-frame-pointer -I../../include -L../../lib/aout

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o

free: free.c
	$(CC) $(CFLAGS) -o free free.c -lbasis

install: free
	install -d $(DESTDIR)/usr/man/man1
	install -o man -g man -m 444 -c free.1 $(DESTDIR)/usr/man/man1
	install -d $(DESTDIR)/bin
	install -o 0 -g 0 -m 511 -c -s free $(DESTDIR)/bin
